# pandas.DataFrame.add_prefix

DataFrame.add_prefix(prefix)

  Prefix labels with string prefix.

  For Series, the row labels are prefixed. For DataFrame, the column labels are prefixed.

  Parameters
    prefix str

      The string to add before each label.

  Returns
    Series or DataFrame

      New Series or DataFrame with updated labels.

  See also

  `Series.add_suffix`

    Suffix row labels with string suffix.

  `DataFrame.add_suffix`

    Suffix column labels with string suffix.

  Examples

      >>> s = pd.Series([1, 2, 3, 4])
      >>> s
      0    1
      1    2
      2    3
      3    4
      dtype: int64

      >>> s.add_prefix('item_')
      item_0    1
      item_1    2
      item_2    3
      item_3    4
      dtype: int64

      >>> df = pd.DataFrame({'A': [1, 2, 3, 4], 'B': [3, 4, 5, 6]})
      >>> df
         A  B
      0  1  3
      1  2  4
      2  3  5
      3  4  6

      >>> df.add_prefix('col_')
           col_A  col_B
      0       1       3
      1       2       4
      2       3       5
      3       4       6